| IDA SDK

Functions
Misc
Debugger functions

## Detailed Description

Convenience functions offered by the user interface.

## Functions
ea_t idaapi | get_tev_ea (int n)
int idaapi | get_tev_type (int n)
int idaapi | get_tev_tid (int n)
void idaapi | bring_debugger_to_front (void)
void idaapi | get_manual_regions (meminfo_vec_t *ranges)
void idaapi | set_manual_regions (const meminfo_vec_t *ranges)
void idaapi | edit_manual_regions ()
void idaapi | enable_manual_regions (bool enable)
int idaapi | handle_debug_event (const debug_event_t *ev, int rqflags)
bool idaapi | add_virt_module (const modinfo_t *mod)
bool idaapi | del_virt_module (const ea_t base)
int idaapi | internal_get_sreg_base (ea_t *answer, thid_t tid, int sreg_value)
int idaapi | internal_ioctl (int fn, const void *buf, size_t size, void **poutbuf, ssize_t *poutsize)
int idaapi | get_reg_vals (thid_t tid, int clsmask, regval_t *values)
int idaapi | set_reg_val (thid_t tid, int regidx, const regval_t *value)
int idaapi | get_dbg_memory_info (meminfo_vec_t *ranges)
bool idaapi | set_bpt_group (bpt_t &bpt, const char *grp_name)
| Move a bpt into a folder in the breakpoint dirtree if the folder didn't exists, it will be created. More...
bool idaapi | set_bptloc_group (const bpt_location_t &bptloc, const char *grp_name)
| Move a bpt into a folder in the breakpoint dirtree based on the bpt_location find_bpt is called to retrieve the bpt and then set_bpt_group if the folder didn't exists, it will be created. More...
bool idaapi | get_bpt_group (qstring *grp_name, const bpt_location_t &bptloc)
| Retrieve the absolute path to the folder of the bpt based on the bpt_location find_bpt is called to retrieve the bpt. More...
size_t idaapi | list_bptgrps (qstrvec_t *bptgrps)
| Retrieve the list of absolute path of all folders of bpt dirtree. More...
bool idaapi | rename_bptgrp (const char *old_name, const char *new_name)
| Rename a folder of bpt dirtree. More...
bool idaapi | del_bptgrp (const char *name)
| Delete a folder, bpt that were part of this folder are moved to the root folder. More...
ssize_t idaapi | get_grp_bpts (bpt_vec_t *bpts, const char *grp_name)
| Retrieve a copy the bpts stored in a folder. More...
int idaapi | enable_bptgrp (const char *bptgrp_name, bool enable=true)
| Enable (or disable) all bpts in a folder. More...
bool idaapi | get_local_vars (srcinfo_provider_t *prov, ea_t ea, source_items_t *out)
bool idaapi | srcdbg_request_step_into (void)
bool idaapi | srcdbg_request_step_over (void)
bool idaapi | srcdbg_request_step_until_ret (void)

## Function Documentation

## ◆ set_bpt_group()

bool idaapi set_bpt_group | ( | bpt_t & | bpt,
|  | const char * | grp_name
| ) |  |
| inline

Move a bpt into a folder in the breakpoint dirtree if the folder didn't exists, it will be created.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  bpt | bpt that will be moved
  grp_name | absolute path to the breakpoint dirtree folder

Returns
  success

## ◆ set_bptloc_group()

bool idaapi set_bptloc_group | ( | const bpt_location_t & | bptloc,
|  | const char * | grp_name
| ) |  |
| inline

Move a bpt into a folder in the breakpoint dirtree based on the bpt_location find_bpt is called to retrieve the bpt and then set_bpt_group if the folder didn't exists, it will be created.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  bptloc | bptlocation of the bpt that will be moved
  grp_name | absolute path to the breakpoint dirtree folder

Returns
  success

## ◆ get_bpt_group()

bool idaapi get_bpt_group | ( | qstring * | grp_name,
|  | const bpt_location_t & | bptloc
| ) |  |
| inline

Retrieve the absolute path to the folder of the bpt based on the bpt_location find_bpt is called to retrieve the bpt.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  [out] | grp_name | absolute path to the breakpoint dirtree folder, can be null
  | bptloc | bptlocation of the bpt

Returns
  success

Return values

  true | breakpoint correclty moved to the directory

## ◆ list_bptgrps()

size_t idaapi list_bptgrps | ( | qstrvec_t * | bptgrps | ) |
| inline

Retrieve the list of absolute path of all folders of bpt dirtree.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  [out] | bptgrps | list of absolute path in the bpt dirtree

Returns
  number of folders returned

## ◆ rename_bptgrp()

bool idaapi rename_bptgrp | ( | const char * | old_name,
|  | const char * | new_name
| ) |  |
| inline

Rename a folder of bpt dirtree.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  old_name | absolute path to the folder to be renamed
  new_name | absolute path of the new folder name

Returns
  success

## ◆ del_bptgrp()

bool idaapi del_bptgrp | ( | const char * | name | ) |
| inline

Delete a folder, bpt that were part of this folder are moved to the root folder.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  name | full path to the folder to be deleted

Returns
  success

## ◆ get_grp_bpts()

ssize_t idaapi get_grp_bpts | ( | bpt_vec_t * | bpts,
|  | const char * | grp_name
| ) |  |
| inline

Retrieve a copy the bpts stored in a folder.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  [out] | bpts | : pointer to a vector where the copy of bpts are stored
  | grp_name | absolute path to the folder

Returns
  number of bpts present in the vector

## ◆ enable_bptgrp()

int idaapi enable_bptgrp | ( | const char * | bptgrp_name,
|  | bool | enable = `true`
| ) |  |
| inline

Enable (or disable) all bpts in a folder.

Type | Synchronous function
Notification | none (synchronous function)

Parameters

  bptgrp_name | absolute path to the folder
  enable | by default true, enable bpts, false disable bpts

Return values

  -1 | an error occured
  0 | no changes
  >0 | nubmers of bpts udpated